或阿呆のブログ

巷では、武器商人@ダーツで通っています。Python好き好きプログラマーです。芥川龍之介、太宰治が好きです。

LinuxMint14にrubyをインストールした。

言語は宗教!

Python信者です。Perlも多少は使える。Rubyは実は触ったことが無いのでチャレンジしてみた。Python使っていて面倒な使い方の部分があって、近視眼的で盲目の信者にはなりたくないのでRubyも使ってみることにした。

自分の環境は、LinuxMint14です。

$uname -a
Linux oneshotlife 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:32:08 UTC 2012 i686 i686 i686 GNU/Linux

rubyが入っているかどうか調べた。ちなみにPerlPythonはデフォルトで入っていたよ。

$ruby -v
The program 'ruby' can be found in the following packages:
 * ruby1.8
 * ruby1.9.1
Try: sudo apt-get install <selected package>

パッケージには入っているようだけど、すぐ実行出来る状態ではないよう。なので、インストールした。

インストールコマンドは上に書いてあるが、

sudo apt-get install <selected package>

インストールされたかどうか確認

$ruby -v
ruby 1.9.3p194 (2012-04-20 revision 35410) [i686-linux]